#!/usr/bin/env  python

__license__   = 'GPL v3'
__copyright__ = '2009, Rick Kellogg'
'''
TheServerSide.com
'''

from calibre.web.feeds.news import BasicNewsRecipe

class Engadget(BasicNewsRecipe):
    title                 = u'TheServerSide.com'
    __author__            = 'Rick Kellogg'
    description           = 'news'
    language = 'en'
    oldest_article        = 7
    max_articles_per_feed = 100
    no_stylesheets        = True
    use_embedded_content  = False

    remove_tags =   [ dict(name='table', attrs={'class':["head"]})]

    feeds = [ (u'News', u'http://feeds.feedburner.com/techtarget/tsscom/home')]

    def get_article_url(self, article):

        url = article.get('guid', None)

        return url

    def print_version(self, url):
        return url.replace('http://www.theserverside.com/news/thread.tss?thread_id=', 'http://www.theserverside.com/common/printthread.tss?thread_id=')

